<?php
function seatt_form($event_id) {
global $wpdb;
global $current_user;
get_currentuserinfo();

$form_event_id = $_POST['seatt_event_id'];

// If submitted, remove registration
if ((isset($_POST['seatt_unregister'])) && ($form_event_id == $event_id)) {
	$wpdb->query("DELETE FROM ".$wpdb->prefix."seatt_attendees WHERE user_id = ".$current_user->ID." AND event_id = $event_id");

}

// If submitted, add registration
if ((isset($_POST['seatt_register'])) && ($form_event_id == $event_id)) {
	$registered = $wpdb->get_var("SELECT user_id FROM ".$wpdb->prefix."seatt_attendees WHERE event_id = ".$event_id." AND user_id = ".$current_user->ID);
	if ($registered == "") {
	$user_comment = $_POST['seatt_comment'];
	$user_comment = $wpdb->escape($user_comment);
	$wpdb->insert($wpdb->prefix.'seatt_attendees', array( 'event_id' => $event_id, 'user_id' => $current_user->ID, 'user_comment' => $user_comment ) );
	}
 
}

// Get event details
$event = $wpdb->get_results("SELECT id, event_name, event_desc, event_limit, event_expire, event_status FROM ".$wpdb->prefix."seatt_events WHERE id = $event_id ORDER BY id DESC");

// Check details - make sure it's valid
if ($event[0]->id != "") {
$attendees = $wpdb->get_var("SELECT COUNT(user_id) FROM ".$wpdb->prefix."seatt_attendees WHERE event_id = ".$event_id);
if ($attendees == '') {
	$attendees = 0;
}
if (($event[0]->event_limit == 0) OR ($event[0]->event_limit == "")) { 
	$event[0]->event_limit = 100000; 
}

$seatt_output = '<h3>' . $event[0]->event_name . '</h3>
<p><strong>Description:</strong> ' . $event[0]->event_desc . '</p>';

if ($event[0]->event_limit != 100000) {
	$seatt_output .= '<p><br>
<strong>Max Participants:</strong> ' . $event[0]->event_limit . '</p>';
}

$seatt_output .= '<table width="660" border="0" align="left" cellpadding="1" cellspacing="1">
		    <tr>
		      <th width="50" align="center" scope="col">Reg #</th>
		      <th width="150" align="left" scope="col">Username</th>
		      <th width="300" align="left" scope="col">Last Name, First Name</th>
  </tr>';

$users = $wpdb->get_results("SELECT id, user_id FROM ".$wpdb->prefix."seatt_attendees WHERE event_id = ".$event_id." ORDER BY id ASC");
$num = 1;
foreach ($users as $user) {
	$user_info = get_userdata($user->user_id);
	$seatt_output .= '
		<tr>
		  <td width="50" align="center">' . $num . '</td>
		  <td width="150">' . $user_info->user_login . '</td>
		  <td width="300">' . $user_info->last_name .  ', ' . $user_info->first_name . '</td>
		</tr>';
	$num++;
}

$seatt_output .= '
<tr><td colspan=3>
    <p>&nbsp;</p>
</td></tr>
</table>';

// Check if user has already registered
$attending = $wpdb->get_results("SELECT user_id, user_comment FROM ".$wpdb->prefix."seatt_attendees WHERE event_id = ".$event_id." AND user_id = ".$current_user->ID);
$current_time = time();
if (($event[0]->event_status != 1) OR ($current_time >= $event[0]->event_expire)) {
	$seatt_output .= '
	<p><strong>Registration is currently closed.</strong></p>';
}
// Check if user logged in
elseif (!is_user_logged_in()) {
	$seatt_output .= '
<p><strong>Please login to register for this event. </strong></p>'; 
	} elseif ($attending) {
		// if they have already signed up
		$seatt_output .= '
        <p><strong>You\'re currently registered. Unregister?</strong></p>
<form name="seatt_unregister" method="post" action="http://' . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"] . '">
        <input name="seatt_event_id" type="hidden" id="seatt_event_id" value="' . $event_id . '" size="40">
  <p>Username: 
<label for="seatt_username"></label>
        <input name="seatt_username" type="text" disabled id="seatt_username" value="' . $current_user->user_login . '" size="40" readonly="readonly">
      </p>
  <p>Comment: &nbsp;
<label for="seatt_comment"></label>
        <input name="seatt_comment" type="text" disabled id="seatt_comment" value="' . $attending[0]->user_comment . '" size="40" maxlength="40" readonly="readonly">
  </p>
      <p>
        <input type="submit" name="seatt_unregister" id="seatt_unregister" value="Unregister">
      </p>
    </form>
    <p>&nbsp;</p>
    <p>&nbsp;</p>';

	} elseif ($attendees >= $event[0]->event_limit) { 
	$seatt_output .= '<p><strong>Unfortunately all places are already reserved. </strong></p>';
	} else {
	$seatt_output .= '
    <strong>Register for this event:</strong>
	    </p>

    <form name="seatt_register" method="post" action="http://' . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"] . '">
        <input name="seatt_event_id" type="hidden" id="seatt_event_id" value="' . $event_id . '" size="40">
      <p>Username: 
        <label for="seatt_username"></label>
        <input name="seatt_username" type="text" disabled id="seatt_username" value="' . $current_user->user_login . '" size="40" readonly="readonly">
      </p>
      <p>Comment: &nbsp;
        <label for="seatt_comment"></label>
        <input name="seatt_comment" type="text" id="seatt_comment" size="40" maxlength="40">
      </p>
      <p>
        <input type="submit" name="seatt_register" id="seatt_register" value="Register">
      </p>
    </form>
    <p>&nbsp;</p>
    <p>&nbsp;</p>';
	
	}
} //End if no results
return $seatt_output;
}

?>