<?php
global $wpdb;
$event_id = (int)$_GET['event_id'];
?>
<div class="wrap">  
<?php include("seatt_header.php"); ?>
          <?php echo "<h2>" . __( 'Simple Event Attendance - Edit Event', 'seatt_trdom' ) . "</h2>";
		  // Kill page if no event_id
		  if ((int)$event_id == '') {
			  die("No event id specified, please visit the main seatt page.");
		  }
		  // Process form if sent
          if($_POST['seatt_name'] != '') {
			$event_name = $_POST['seatt_name'];
			$event_desc = $_POST['seatt_desc'];
			$event_limit = $_POST['seatt_limit'];
			$event_status = $_POST['seatt_status'];
			$event_expire = round(($_POST['seatt_date'] * 3600) + time());
			
			$wpdb->update($wpdb->prefix.'seatt_events', array( 'event_name' => $event_name, 'event_desc' => $event_desc, 'event_limit' => $event_limit, 'event_expire' => $event_expire, 'event_status' => $event_status ), array( 'id' => $event_id ) );
			?>
            <div class="updated"><p><strong><?php _e('Event "'.$event_name.'" updated.' ); ?></strong></p></div>
<?php
		  }
		// Process remove if sent
          if((int)$_GET['remove_attendee'] != '') {
			$remove_attendee = $_GET['remove_attendee'];
			$wpdb->query("DELETE FROM ".$wpdb->prefix."seatt_attendees WHERE id = $remove_attendee");
			$place = $_GET['place'];
			?>
            <div class="updated"><p><strong><?php _e('Attendee '.$place.' removed.' ); ?></strong></p></div>
            <?php
		  }
		  // Get event details
		   $event = $wpdb->get_results("SELECT id, event_name, event_desc, event_limit, event_expire, event_status FROM ".$wpdb->prefix."seatt_events WHERE id = $event_id");
		   // Time left calculation
		   $event_expire = round(($event[0]->event_expire - time()) / 3600);
		   if ($event_expire < 0) {
			   $event_expire = 0;
		   }
		   if ($event[0]->id != "") {
			  ?>
		  <p><strong>Event options:</strong></p>
		  <form name="seatt_edit_form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
		    <p>Event Name<br>
		      <label for="seatt_name"></label>
		    <input name="seatt_name" type="text" id="seatt_name" value="<?php echo $event[0]->event_name; ?>" size="50" maxlength="150">
		    </p>
		    <p>Event Description<br>
		      <label for="seatt_desc"></label>
              <input name="seatt_desc" type="text" id="seatt_desc" value="<?php echo $event[0]->event_desc; ?>" size="80" maxlength="150" />
		    </p>
		    <p>Attendee Limit (enter 0 for no limit)<br>
		      <label for="seatt_limit"></label>
		      <input name="seatt_limit" type="text" id="seatt_limit" value="<?php echo $event[0]->event_limit; ?>" size="14" maxlength="8">
		    </p>
		    <p>Hours until close (1 year = 8760)<br />
              <label for="seatt_date"></label>
              <input name="seatt_date" type="text" id="seatt_date" value="<?php echo $event_expire; ?>" />
            </p>
		    <p>Status<br />
		      <label for="seatt_status"></label>
		      <select name="seatt_status" id="seatt_status">
		        <option value="1"<?php if ($event[0]->event_status) { echo ' selected="selected"'; } ?>>Open</option>
		        <option value="0"<?php if (!$event[0]->event_status) { echo ' selected="selected"'; } ?>>Closed</option>
	          </select>
		    </p>
		    <p>
		      <input type="submit" name="Submit" value="<?php _e('Edit Event', 'seatt_trdom' ) ?>" />
		    Del<a href="options-general.php?page=seatt_events&event_id=<?php echo $event_id; ?>&remove_event=1">e</a>te Event?*</p>
		    <p>*Deleting an event removes all registrations and is permanent.</p>
  </form>
		  <p><strong>Event participants:</strong></p>
		  <table width="500" border="0" align="center" cellpadding="5" cellspacing="5">
		    <tr>
		      <th align="left" scope="col">Participant #</th>
		      <th align="left" scope="col">Username</th>
		      <th align="left" scope="col">Comment</th>
		      <th align="left" scope="col">Options</th>
	        </tr>
		    <?php
		  $users = $wpdb->get_results("SELECT id, user_id, user_comment FROM ".$wpdb->prefix."seatt_attendees WHERE event_id = ".$event_id." ORDER BY id ASC");
		  $num = 1;
	foreach ($users as $user) {
		$user_info = get_userdata($user->user_id);
		  ?>
		    <tr>
		      <td><?php echo $num; ?></td>
		      <td><?php echo $user_info->user_login; ?></td>
		      <td><?php echo $user->user_comment; ?></td>
		      <td><a href="options-general.php?page=seatt_events_edit&event_id=<?php echo $event_id; ?>&remove_attendee=<?php echo $user->id; ?>&place=<?php echo $num; ?>">Remove User</a></td>
	        </tr>
		    <?php
			$num++;
	}
	?>
  </table>
  <?php } ?>          
          </div>